[Ironruby-core] require my assembly

Sam Malone lists at ruby-forum.com
Thu Jan 8 13:46:26 EST 2009


Hi,

  I'm new to IronRuby. I'm trying to require a .net assembly but I have
the following error message. Any help will be very much appreciated.

Note :
------

MyApp.Application.dll references MyApp.Core.dll and both are in the same
folder C:\MyApp\Trunk\Bin\

Code :
------

require 'C:\MyApp\Trunk\Bin\MyApp.Application.dll'
include MyApp::Application

def main
  print ZlibCompression.Decompress(ZlibCompression.Compress("toto"))
end

if __FILE__ == $0
  main()
end

Error message:
--------------

Unhandled exception:
mscorlib:0:in `ResolveType': Could not load file or assembly
'MyApp.Core, Version=1.0.278.0, Culture=neutral, Public
KeyToken=null' or one of its dependencies. The system cannot find the
file specified. (System::IO::FileNotFoundException
)
        from mscorlib:0:in `ResolveTypeHandle'
-- 
Posted via http://www.ruby-forum.com/.


More information about the Ironruby-core mailing list